Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 179824 - gnome-media uses gstreamer 0.10.x from 2.13.6
Summary: gnome-media uses gstreamer 0.10.x from 2.13.6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-03 07:40 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.13.91-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-06 15:26:43 UTC


Attachments (Terms of Use)

Description sangu 2006-02-03 07:40:59 UTC
Description of problem:

$ rpm -q --requires gnome-media | grep gst
libgstaudio-0.10.so.0
libgstinterfaces-0.10.so.0
libgstreamer-0.10.so.0

Wrong gnome-media.spec
http://cvs.fedora.redhat.com/viewcvs/devel/gnome-media/gnome-media.spec?rev=1.56&view=auto
[...]
%define gstreamer_version 0.8.1
[...]
BuildRequires:  gstreamer08-devel >= %{gstreamer_version}
BuildRequires:  gstreamer08-plugins-devel
[...]

Replace lines below

%define gstreamer_version 0.10.2
[...]
BuildRequires:  gstreamer-devel >= %{gstreamer_version}
BuildRequires:  gstreamer-plugins-base-devel
[...]

Version-Release number of selected component (if applicable):
2.13.91-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John (J5) Palmieri 2006-02-03 14:41:44 UTC
Suggest that we look if any packages use gstreamer08 anymore.  If not we should
consider moving gstreamer08 to extras.

Comment 2 sangu 2006-02-03 14:58:15 UTC
evolution and gnome-game use gstreamer08.

See Also :
 evolution : Inline Audio plugin still uses GStreamer 0.8
  http://bugzilla.gnome.org/show_bug.cgi?id=329629

 gnome-games 
 $ldd /usr/bin/gnomine | grep gst
  libgstreamer-0.8.so.1 => /usr/lib/libgstreamer-0.8.so.1 (0x0070b000)

Comment 3 John (J5) Palmieri 2006-02-03 15:24:15 UTC
gnome-games no longer uses it (it was actually a mistake of some code getting in
from an experimental branch according to the maintainer).  Hopefully someone
ports the evolution plugin.

Comment 4 Christopher Aillon 2006-02-03 23:19:20 UTC
Hardly a blocker, but ok...


Note You need to log in before you can comment on or make changes to this bug.